Subject: Re: bug#35610: Freshly installed IBus intput method is not listed as an input source

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Thu, 9 May 2019 14:35:46 +0200

On Tue, May 07, 2019 at 02:15:46PM -0600, ison wrote:
> The only other thing I can think of right now which might be different is the
> way I'm starting ibus. Instead of ibus-setup, what happens if you launch it with
> ibus-daemon -drx
> and then access the preferences by right clicking the tray icon (or perhaps
> running ibus-setup _after_ the daemon is launched if you have no tray icon)
> 

I believe GNOME takes care of ibus.  For me where ibus works only in
the gnome-shell search field. I get this output:

florian@florianmacbook ~$ ibus-daemon drx
current session already has an ibus-daemon.

> On Tue, May 07, 2019 at 04:26:29PM +0200, pelzflorian (Florian Pelz) wrote:
> > What I said was incomplete.  I just tried again; ibus-anthy works fine
> > for me only when e.g. entering text in GNOME Shell’s search bar, but
> > not when entering text in the terminal.  Sorry.
> 
> If I recall correctly I had this issue as well, where input would not work in
> the terminal even though it worked in other applications, until I changed some
> of my environment variables to "xim" instead of "ibus".
> According to the Arch Wiki here
> https://wiki.archlinux.org/index.php/IBus
> there are claims from some users that things don't work until they replace
> "ibus" with "xim".

This does not help.  It would also only be applied when starting the
app from bash and not from gnome-shell, I believe.

Regards,
Florian